-- $Date: 2003/12/26 05:54:15 $
-- $Revision: 1.6 $
-- $Author: jcrocholl $

with Straight;

package body Fonts is

   -- Load a font glyph that was compiled in or installed in the font
   -- path. Raises Font_Not_Found if the font is not available.
   function Load_Glyph
     (Family     : in String; -- Family of the font.
      Font_Name  : in String; -- Name of the font.
      Glyph_Name : in String) -- Name of the glyph.
     return Glyph             -- The newly created glyph.
   is
   begin
      if Family = "music" then
         if Font_Name = "straight" then return Straight.Load_Glyph(Glyph_Name);
         else raise Font_Not_Found;
         end if;
      else raise Family_Not_Found;
      end if;
   end Load_Glyph;

end Fonts;

