-- $Date: 2004/01/02 04:26:36 $
-- $Revision: 1.10 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;

package Images is

   -- An image of the size specified by Width and Height.
   type Image_Record(Width, Height : Positive) is
      abstract tagged record
         Zoom         : Real;
         Aspect_Ratio : Real;
      end record;

   -- Access type for Image and all inherited types.
   type Image is access all Image_Record;

end Images;
