-- $Date: 2004/01/13 03:32:30 $
-- $Revision: 1.4 $
-- $Author: jcrocholl $

with Glyphs; use Glyphs;

package EPS is

   ----------------------------------
   -- Reading Encapsulated PostScript
   ----------------------------------

   -- Read a glyph from a file.
   function Read
     (Filename : in String) -- Read from this file.
     return Glyph;          -- The newly created glyph.

   -- Read a glyph from current input.
   function Read
     return Glyph; -- The newly created glyph.

   ----------------------------------
   -- Writing Encapsulated PostScript
   ----------------------------------

   -- Write a glyph to a file.
   procedure Write
     (This     : in Glyph;             -- Write this glyph.
      Filename : in String;            -- Write to this file.
      Debug    : in Boolean := False); -- Add red boxes?

   -- Write a glyph to current output.
   procedure Write
     (This  : in Glyph;             -- Write this glyph.
      Debug : in Boolean := False); -- Add red boxes?

end EPS;
