-- $Date: 2004/01/10 02:31:02 $
-- $Revision: 1.5 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;
with Glyphs; use Glyphs;

package Stairs is

   -- Remove pixel stairs. This is done by collapsing all lines with a
   -- length of less than Min_Length, and using their middle point
   -- instead.
   procedure Remove_Stairs
     (This       : in Glyph;        -- Depixel this glyph.
      Min_Length : in Real := 1.5); -- Collapse lines shorter than this.

end Stairs;
