-- $Date: 2004/01/10 08:54:08 $
-- $Revision: 1.2 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;
with Real_Vectors; use Real_Vectors;
with Glyphs; use Glyphs;

package Transforms is

   -- Scale a glyph by a given factor.
   procedure Scale
     (This   : in Glyph; -- Scale this glyph.
      Factor : in Real); -- Scaling factor.

   -- Translate a glyph by a given offset.
   procedure Translate
     (This   : in Glyph;   -- Translate this glyph.
      Offset : in Vector); -- Translating offset.

end Transforms;
