-- $Date: 2004/01/02 04:26:36 $
-- $Revision: 1.12 $
-- $Author: jcrocholl $

with Gray_Images; use Gray_Images;
with Integer_Vectors; use Integer_Vectors;
with Interfaces;

package Glyph_Images is

   -- A glyph image of the size specified by Width and Height.
   type Glyph_Image_Record(Width, Height : Positive) is
     new Gray_Image_Record(Width, Height) with
      record
         Anti_Alias : Positive; -- Factor for vertical anti-aliasing.
         Center     : Vector;   -- Relative position of the glyph's zero.
      end record;

   -- Access type for Glyph_Image and all inherited types.
   type Glyph_Image is access all Glyph_Image_Record;

end Glyph_Images;
