-- $Date: 2004/01/10 11:50:36 $
-- $Revision: 1.1 $
-- $Author: jcrocholl $

with Ada.Text_IO; use Ada.Text_IO;

with Real_Numbers; use Real_Numbers;
with Lines; use Lines;
with Cubics; use Cubics;

procedure Test_Suite is
   L : Lines.Line;
begin
   L := Make_Cubic_Through_Points((0.0, 0.0), (100.0, 100.0), (200.0, 100.0), (300.0, 0.0));
   Put_Line("%!PS-Adobe-2.0 EPSF-2.0");
   Put_Line("%%BoundingBox: 0 0 300 150");
   Put_Line("%%EndComments");
   Put_Line("0 0 moveto");
   Put_Line(Postscript(L));
   Put_Line("stroke");
   Put_Line("1 0 0 setrgbcolor");
   Put_Line("98 98 4 4 rectfill");
   Put_Line("198 98 4 4 rectfill");
   pragma Debug(Put_Line(Current_Error, "all tests succeeded"));
end Test_Suite;
