-- $Date: 2003/12/23 12:57:33 $
-- $Revision: 1.6 $
-- $Author: jcrocholl $

with MusicXML.Read;

with XML_Parsers;

package body MusicXML is

   -- Read a score from current input (default is STDIN).
   --
   -- Useful for reading from a pipe.
   function Parse_Current_Input
     return Scores.Score -- The new score created from input.
   is
      XML_Parser : XML_Parsers.XML_Parser;
      Result     : Scores.Score;
   begin
      XML_Parser := XML_Parsers.Current_Input;
      Result := MusicXML.Read.Read_Score(XML_Parser);
      XML_Parsers.Close(XML_Parser);
      return Result;
   end Parse_Current_Input;

end MusicXML;
