-- $Date: 2003/12/22 13:28:19 $
-- $Revision: 1.3 $
-- $Author: jcrocholl $

with Ada.Text_IO;

with Primes;
use Primes;

procedure Test_Suite is
begin
   Ada.Text_IO.Put_Line("prime number test suite");
   pragma Assert(Prime(1));
   pragma Assert(Prime(2));
   pragma Assert(Prime(3));
   pragma Assert(not Prime(4));
   pragma Assert(Prime(5));
   pragma Assert(not Prime(6));
   pragma Assert(Next_Prime(1) = 1);
   pragma Assert(Next_Prime(2) = 2);
   pragma Assert(Next_Prime(3) = 3);
   pragma Assert(Next_Prime(4) = 5);
   pragma Assert(Next_Prime(761) = 761);
   pragma Assert(Next_Prime(763) = 769);
   pragma Debug(Ada.Text_IO.Put_Line("all tests succeeded"));
end Test_Suite;

