-- $Date: 2003/12/26 10:11:36 $
-- $Revision: 1.8 $
-- $Author: jcrocholl $

-- This file was automatically created with ado.php.
-- Manual changes will be lost when it is updated.

with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
package Parts is

   -- Type for instance variables.
   type Part is private;

   -- Constructor for instances.
   function Create
     (Name : in String) -- The initial name.
     return Part;       -- The newly created part.

   -- Accessor to read the name of a part.
   function Get_Name
     (This : in Part) -- The part to read from.
     return String;   -- The name of that part.

   -- Mutator to update the name of a part.
   procedure Set_Name
     (This : in Part;    -- The part to be updated.
      Name : in String); -- The new name of that part.

private

   -- Private representation.
   type Part_Record is record
      Name : Unbounded_String;
   end record;

   -- Pointer to representation data.
   type Part is access Part_Record;

end Parts;
