-- $Date: 2004/01/09 09:39:15 $
-- $Revision: 1.1 $
-- $Author: jcrocholl $

with Real_Numbers; use Real_Numbers;
with Glyphs; use Glyphs;

package Curves is

   -- Join straight lines into cubic bezier curves, if the distance
   -- between original and joined lines remains below tolerance.
   procedure Make_Cubic
     (This      : in Glyph; -- Make curves in this glyph.
      Tolerance : in Real); -- Maximum distance to the joined line.

end Curves;
