-- $Date: 2003/12/23 12:59:51 $
-- $Revision: 1.7 $
-- $Author: jcrocholl $

package body MusicXML.Read is

   -- Read a score from a parser.
   function Read_Score
     (X : in XML_Parser) -- The XML parser to read from.
     return Scores.Score -- The new score created from input.
   is
      Result : Scores.Score := Scores.Create("", "", "");
   begin
      if (Next_Element(X) /= "?xml") then
         Error(X, "expecting ?xml");
      end if;
      return Result;
   end Read_Score;

end MusicXML.Read;
